
float progress;

// Texture to be drawn
Texture g_Tex;
sampler2D s = sampler_state {
	Texture = <g_Tex>;
	MinFilter = LINEAR;
	MagFilter = LINEAR;
	MipFilter = NONE;
	AddressU = CLAMP;
	AddressV = CLAMP;
};

// Depth Map
Texture g_Map;
sampler2D DM = sampler_state {
	Texture = <g_Map>;
	MinFilter = LINEAR;
	MagFilter = LINEAR;
	MipFilter = NONE;
	AddressU = CLAMP;
	AddressV = CLAMP;
};





float4 time ( float2 texCoords : TEXCOORD0 ) : COLOR
{
	float4 col = tex2D(DM, texCoords);
	float alpha = col.w;
	if(alpha > 0) {
		if ((col.x + col.y + col.z)/3.0 < progress)
			alpha = 0;
	}
	
	return float4(1,1,1,alpha);
}





technique Time
{
	pass p0
	{
		Sampler[0] = <s>;
		Sampler[1] = <DM>;
		//Sampler[2] = <BM>;
		PixelShader = compile ps_2_0 time();
	}
}
